org.apache.hadoop.yarn.server.nodemanager.amrmproxy

## Interface AMRMProxyApplicationContext

- All Known Implementing Classes:
    AMRMProxyApplicationContextImpl

      public interface AMRMProxyApplicationContext

  Interface that can be used by the intercepter plugins to get the information about one application.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.hadoop.security.token.Token<org.apache.hadoop.yarn.security.AMRMTokenIdentifier>` | `getAMRMToken()` Gets the application's AMRMToken that is issued by the RM.
    `org.apache.hadoop.yarn.api.records.ApplicationAttemptId` | `getApplicationAttemptId()` Gets the application attempt identifier.
    `org.apache.hadoop.conf.Configuration` | `getConf()` Gets the configuration object instance.
    `org.apache.hadoop.security.Credentials` | `getCredentials()` Gets the credentials of this application.
    `org.apache.hadoop.security.token.Token<org.apache.hadoop.yarn.security.AMRMTokenIdentifier>` | `getLocalAMRMToken()` Gets the application's local AMRMToken issued by the proxy service.
    `Context` | `getNMCotext()` Gets the NMContext object.
    `org.apache.hadoop.registry.client.api.RegistryOperations` | `getRegistryClient()` Gets the registry client.
    `String` | `getUser()` Gets the application submitter.

- - ### Method Detail

    - #### getConf

          org.apache.hadoop.conf.Configuration getConf()

      Gets the configuration object instance.
      Returns:
        the configuration object.

    - #### getApplicationAttemptId

          org.apache.hadoop.yarn.api.records.ApplicationAttemptId getApplicationAttemptId()

      Gets the application attempt identifier.
      Returns:
        the application attempt identifier.

    - #### getUser

          String getUser()

      Gets the application submitter.
      Returns:
        the application submitter

    - #### getAMRMToken

          org.apache.hadoop.security.token.Token<org.apache.hadoop.yarn.security.AMRMTokenIdentifier> getAMRMToken()

      Gets the application's AMRMToken that is issued by the RM.
      Returns:
        the application's AMRMToken that is issued by the RM.

    - #### getLocalAMRMToken

          org.apache.hadoop.security.token.Token<org.apache.hadoop.yarn.security.AMRMTokenIdentifier> getLocalAMRMToken()

      Gets the application's local AMRMToken issued by the proxy service.
      Returns:
        the application's local AMRMToken issued by the proxy service.

    - #### getNMCotext

          Context getNMCotext()

      Gets the NMContext object.
      Returns:
        the NMContext.

    - #### getCredentials

          org.apache.hadoop.security.Credentials getCredentials()

      Gets the credentials of this application.
      Returns:
        the credentials.

    - #### getRegistryClient

          org.apache.hadoop.registry.client.api.RegistryOperations getRegistryClient()

      Gets the registry client.
      Returns:
        the registry.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.